IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network46.167.63.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
46.167.63.0- Broadcast address
46.167.63.255- First usable
46.167.63.1- Last usable
46.167.63.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
2EA73F00· Integer782712576to782712831 - Reverse DNS zone
63.167.46.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00101110.10100111.00111111..00000000 | 46.167.63.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 00101110.10100111.00111111..00000000 | 46.167.63.0 |
| Broadcast | 00101110.10100111.00111111..11111111 | 46.167.63.255 |
Split into smaller subnets
46.167.63.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 46.167.63.0/32 | 46.167.63.0 to 46.167.63.0 | — | 1 |
| 2 | 46.167.63.1/32 | 46.167.63.1 to 46.167.63.1 | — | 1 |
| 3 | 46.167.63.2/32 | 46.167.63.2 to 46.167.63.2 | — | 1 |
| 4 | 46.167.63.3/32 | 46.167.63.3 to 46.167.63.3 | — | 1 |
| 5 | 46.167.63.4/32 | 46.167.63.4 to 46.167.63.4 | — | 1 |
| 6 | 46.167.63.5/32 | 46.167.63.5 to 46.167.63.5 | — | 1 |
| 7 | 46.167.63.6/32 | 46.167.63.6 to 46.167.63.6 | — | 1 |
| 8 | 46.167.63.7/32 | 46.167.63.7 to 46.167.63.7 | — | 1 |
| 9 | 46.167.63.8/32 | 46.167.63.8 to 46.167.63.8 | — | 1 |
| 10 | 46.167.63.9/32 | 46.167.63.9 to 46.167.63.9 | — | 1 |
| 11 | 46.167.63.10/32 | 46.167.63.10 to 46.167.63.10 | — | 1 |
| 12 | 46.167.63.11/32 | 46.167.63.11 to 46.167.63.11 | — | 1 |
| 13 | 46.167.63.12/32 | 46.167.63.12 to 46.167.63.12 | — | 1 |
| 14 | 46.167.63.13/32 | 46.167.63.13 to 46.167.63.13 | — | 1 |
| 15 | 46.167.63.14/32 | 46.167.63.14 to 46.167.63.14 | — | 1 |
| 16 | 46.167.63.15/32 | 46.167.63.15 to 46.167.63.15 | — | 1 |
| 17 | 46.167.63.16/32 | 46.167.63.16 to 46.167.63.16 | — | 1 |
| 18 | 46.167.63.17/32 | 46.167.63.17 to 46.167.63.17 | — | 1 |
| 19 | 46.167.63.18/32 | 46.167.63.18 to 46.167.63.18 | — | 1 |
| 20 | 46.167.63.19/32 | 46.167.63.19 to 46.167.63.19 | — | 1 |
| 21 | 46.167.63.20/32 | 46.167.63.20 to 46.167.63.20 | — | 1 |
| 22 | 46.167.63.21/32 | 46.167.63.21 to 46.167.63.21 | — | 1 |
| 23 | 46.167.63.22/32 | 46.167.63.22 to 46.167.63.22 | — | 1 |
| 24 | 46.167.63.23/32 | 46.167.63.23 to 46.167.63.23 | — | 1 |
| 25 | 46.167.63.24/32 | 46.167.63.24 to 46.167.63.24 | — | 1 |
| 26 | 46.167.63.25/32 | 46.167.63.25 to 46.167.63.25 | — | 1 |
| 27 | 46.167.63.26/32 | 46.167.63.26 to 46.167.63.26 | — | 1 |
| 28 | 46.167.63.27/32 | 46.167.63.27 to 46.167.63.27 | — | 1 |
| 29 | 46.167.63.28/32 | 46.167.63.28 to 46.167.63.28 | — | 1 |
| 30 | 46.167.63.29/32 | 46.167.63.29 to 46.167.63.29 | — | 1 |
| 31 | 46.167.63.30/32 | 46.167.63.30 to 46.167.63.30 | — | 1 |
| 32 | 46.167.63.31/32 | 46.167.63.31 to 46.167.63.31 | — | 1 |
| 33 | 46.167.63.32/32 | 46.167.63.32 to 46.167.63.32 | — | 1 |
| 34 | 46.167.63.33/32 | 46.167.63.33 to 46.167.63.33 | — | 1 |
| 35 | 46.167.63.34/32 | 46.167.63.34 to 46.167.63.34 | — | 1 |
| 36 | 46.167.63.35/32 | 46.167.63.35 to 46.167.63.35 | — | 1 |
| 37 | 46.167.63.36/32 | 46.167.63.36 to 46.167.63.36 | — | 1 |
| 38 | 46.167.63.37/32 | 46.167.63.37 to 46.167.63.37 | — | 1 |
| 39 | 46.167.63.38/32 | 46.167.63.38 to 46.167.63.38 | — | 1 |
| 40 | 46.167.63.39/32 | 46.167.63.39 to 46.167.63.39 | — | 1 |
| 41 | 46.167.63.40/32 | 46.167.63.40 to 46.167.63.40 | — | 1 |
| 42 | 46.167.63.41/32 | 46.167.63.41 to 46.167.63.41 | — | 1 |
| 43 | 46.167.63.42/32 | 46.167.63.42 to 46.167.63.42 | — | 1 |
| 44 | 46.167.63.43/32 | 46.167.63.43 to 46.167.63.43 | — | 1 |
| 45 | 46.167.63.44/32 | 46.167.63.44 to 46.167.63.44 | — | 1 |
| 46 | 46.167.63.45/32 | 46.167.63.45 to 46.167.63.45 | — | 1 |
| 47 | 46.167.63.46/32 | 46.167.63.46 to 46.167.63.46 | — | 1 |
| 48 | 46.167.63.47/32 | 46.167.63.47 to 46.167.63.47 | — | 1 |
| 49 | 46.167.63.48/32 | 46.167.63.48 to 46.167.63.48 | — | 1 |
| 50 | 46.167.63.49/32 | 46.167.63.49 to 46.167.63.49 | — | 1 |
| 51 | 46.167.63.50/32 | 46.167.63.50 to 46.167.63.50 | — | 1 |
| 52 | 46.167.63.51/32 | 46.167.63.51 to 46.167.63.51 | — | 1 |
| 53 | 46.167.63.52/32 | 46.167.63.52 to 46.167.63.52 | — | 1 |
| 54 | 46.167.63.53/32 | 46.167.63.53 to 46.167.63.53 | — | 1 |
| 55 | 46.167.63.54/32 | 46.167.63.54 to 46.167.63.54 | — | 1 |
| 56 | 46.167.63.55/32 | 46.167.63.55 to 46.167.63.55 | — | 1 |
| 57 | 46.167.63.56/32 | 46.167.63.56 to 46.167.63.56 | — | 1 |
| 58 | 46.167.63.57/32 | 46.167.63.57 to 46.167.63.57 | — | 1 |
| 59 | 46.167.63.58/32 | 46.167.63.58 to 46.167.63.58 | — | 1 |
| 60 | 46.167.63.59/32 | 46.167.63.59 to 46.167.63.59 | — | 1 |
| 61 | 46.167.63.60/32 | 46.167.63.60 to 46.167.63.60 | — | 1 |
| 62 | 46.167.63.61/32 | 46.167.63.61 to 46.167.63.61 | — | 1 |
| 63 | 46.167.63.62/32 | 46.167.63.62 to 46.167.63.62 | — | 1 |
| 64 | 46.167.63.63/32 | 46.167.63.63 to 46.167.63.63 | — | 1 |
| 65 | 46.167.63.64/32 | 46.167.63.64 to 46.167.63.64 | — | 1 |
| 66 | 46.167.63.65/32 | 46.167.63.65 to 46.167.63.65 | — | 1 |
| 67 | 46.167.63.66/32 | 46.167.63.66 to 46.167.63.66 | — | 1 |
| 68 | 46.167.63.67/32 | 46.167.63.67 to 46.167.63.67 | — | 1 |
| 69 | 46.167.63.68/32 | 46.167.63.68 to 46.167.63.68 | — | 1 |
| 70 | 46.167.63.69/32 | 46.167.63.69 to 46.167.63.69 | — | 1 |
| 71 | 46.167.63.70/32 | 46.167.63.70 to 46.167.63.70 | — | 1 |
| 72 | 46.167.63.71/32 | 46.167.63.71 to 46.167.63.71 | — | 1 |
| 73 | 46.167.63.72/32 | 46.167.63.72 to 46.167.63.72 | — | 1 |
| 74 | 46.167.63.73/32 | 46.167.63.73 to 46.167.63.73 | — | 1 |
| 75 | 46.167.63.74/32 | 46.167.63.74 to 46.167.63.74 | — | 1 |
| 76 | 46.167.63.75/32 | 46.167.63.75 to 46.167.63.75 | — | 1 |
| 77 | 46.167.63.76/32 | 46.167.63.76 to 46.167.63.76 | — | 1 |
| 78 | 46.167.63.77/32 | 46.167.63.77 to 46.167.63.77 | — | 1 |
| 79 | 46.167.63.78/32 | 46.167.63.78 to 46.167.63.78 | — | 1 |
| 80 | 46.167.63.79/32 | 46.167.63.79 to 46.167.63.79 | — | 1 |
| 81 | 46.167.63.80/32 | 46.167.63.80 to 46.167.63.80 | — | 1 |
| 82 | 46.167.63.81/32 | 46.167.63.81 to 46.167.63.81 | — | 1 |
| 83 | 46.167.63.82/32 | 46.167.63.82 to 46.167.63.82 | — | 1 |
| 84 | 46.167.63.83/32 | 46.167.63.83 to 46.167.63.83 | — | 1 |
| 85 | 46.167.63.84/32 | 46.167.63.84 to 46.167.63.84 | — | 1 |
| 86 | 46.167.63.85/32 | 46.167.63.85 to 46.167.63.85 | — | 1 |
| 87 | 46.167.63.86/32 | 46.167.63.86 to 46.167.63.86 | — | 1 |
| 88 | 46.167.63.87/32 | 46.167.63.87 to 46.167.63.87 | — | 1 |
| 89 | 46.167.63.88/32 | 46.167.63.88 to 46.167.63.88 | — | 1 |
| 90 | 46.167.63.89/32 | 46.167.63.89 to 46.167.63.89 | — | 1 |
| 91 | 46.167.63.90/32 | 46.167.63.90 to 46.167.63.90 | — | 1 |
| 92 | 46.167.63.91/32 | 46.167.63.91 to 46.167.63.91 | — | 1 |
| 93 | 46.167.63.92/32 | 46.167.63.92 to 46.167.63.92 | — | 1 |
| 94 | 46.167.63.93/32 | 46.167.63.93 to 46.167.63.93 | — | 1 |
| 95 | 46.167.63.94/32 | 46.167.63.94 to 46.167.63.94 | — | 1 |
| 96 | 46.167.63.95/32 | 46.167.63.95 to 46.167.63.95 | — | 1 |
| 97 | 46.167.63.96/32 | 46.167.63.96 to 46.167.63.96 | — | 1 |
| 98 | 46.167.63.97/32 | 46.167.63.97 to 46.167.63.97 | — | 1 |
| 99 | 46.167.63.98/32 | 46.167.63.98 to 46.167.63.98 | — | 1 |
| 100 | 46.167.63.99/32 | 46.167.63.99 to 46.167.63.99 | — | 1 |
| 101 | 46.167.63.100/32 | 46.167.63.100 to 46.167.63.100 | — | 1 |
| 102 | 46.167.63.101/32 | 46.167.63.101 to 46.167.63.101 | — | 1 |
| 103 | 46.167.63.102/32 | 46.167.63.102 to 46.167.63.102 | — | 1 |
| 104 | 46.167.63.103/32 | 46.167.63.103 to 46.167.63.103 | — | 1 |
| 105 | 46.167.63.104/32 | 46.167.63.104 to 46.167.63.104 | — | 1 |
| 106 | 46.167.63.105/32 | 46.167.63.105 to 46.167.63.105 | — | 1 |
| 107 | 46.167.63.106/32 | 46.167.63.106 to 46.167.63.106 | — | 1 |
| 108 | 46.167.63.107/32 | 46.167.63.107 to 46.167.63.107 | — | 1 |
| 109 | 46.167.63.108/32 | 46.167.63.108 to 46.167.63.108 | — | 1 |
| 110 | 46.167.63.109/32 | 46.167.63.109 to 46.167.63.109 | — | 1 |
| 111 | 46.167.63.110/32 | 46.167.63.110 to 46.167.63.110 | — | 1 |
| 112 | 46.167.63.111/32 | 46.167.63.111 to 46.167.63.111 | — | 1 |
| 113 | 46.167.63.112/32 | 46.167.63.112 to 46.167.63.112 | — | 1 |
| 114 | 46.167.63.113/32 | 46.167.63.113 to 46.167.63.113 | — | 1 |
| 115 | 46.167.63.114/32 | 46.167.63.114 to 46.167.63.114 | — | 1 |
| 116 | 46.167.63.115/32 | 46.167.63.115 to 46.167.63.115 | — | 1 |
| 117 | 46.167.63.116/32 | 46.167.63.116 to 46.167.63.116 | — | 1 |
| 118 | 46.167.63.117/32 | 46.167.63.117 to 46.167.63.117 | — | 1 |
| 119 | 46.167.63.118/32 | 46.167.63.118 to 46.167.63.118 | — | 1 |
| 120 | 46.167.63.119/32 | 46.167.63.119 to 46.167.63.119 | — | 1 |
| 121 | 46.167.63.120/32 | 46.167.63.120 to 46.167.63.120 | — | 1 |
| 122 | 46.167.63.121/32 | 46.167.63.121 to 46.167.63.121 | — | 1 |
| 123 | 46.167.63.122/32 | 46.167.63.122 to 46.167.63.122 | — | 1 |
| 124 | 46.167.63.123/32 | 46.167.63.123 to 46.167.63.123 | — | 1 |
| 125 | 46.167.63.124/32 | 46.167.63.124 to 46.167.63.124 | — | 1 |
| 126 | 46.167.63.125/32 | 46.167.63.125 to 46.167.63.125 | — | 1 |
| 127 | 46.167.63.126/32 | 46.167.63.126 to 46.167.63.126 | — | 1 |
| 128 | 46.167.63.127/32 | 46.167.63.127 to 46.167.63.127 | — | 1 |
| 129 | 46.167.63.128/32 | 46.167.63.128 to 46.167.63.128 | — | 1 |
| 130 | 46.167.63.129/32 | 46.167.63.129 to 46.167.63.129 | — | 1 |
| 131 | 46.167.63.130/32 | 46.167.63.130 to 46.167.63.130 | — | 1 |
| 132 | 46.167.63.131/32 | 46.167.63.131 to 46.167.63.131 | — | 1 |
| 133 | 46.167.63.132/32 | 46.167.63.132 to 46.167.63.132 | — | 1 |
| 134 | 46.167.63.133/32 | 46.167.63.133 to 46.167.63.133 | — | 1 |
| 135 | 46.167.63.134/32 | 46.167.63.134 to 46.167.63.134 | — | 1 |
| 136 | 46.167.63.135/32 | 46.167.63.135 to 46.167.63.135 | — | 1 |
| 137 | 46.167.63.136/32 | 46.167.63.136 to 46.167.63.136 | — | 1 |
| 138 | 46.167.63.137/32 | 46.167.63.137 to 46.167.63.137 | — | 1 |
| 139 | 46.167.63.138/32 | 46.167.63.138 to 46.167.63.138 | — | 1 |
| 140 | 46.167.63.139/32 | 46.167.63.139 to 46.167.63.139 | — | 1 |
| 141 | 46.167.63.140/32 | 46.167.63.140 to 46.167.63.140 | — | 1 |
| 142 | 46.167.63.141/32 | 46.167.63.141 to 46.167.63.141 | — | 1 |
| 143 | 46.167.63.142/32 | 46.167.63.142 to 46.167.63.142 | — | 1 |
| 144 | 46.167.63.143/32 | 46.167.63.143 to 46.167.63.143 | — | 1 |
| 145 | 46.167.63.144/32 | 46.167.63.144 to 46.167.63.144 | — | 1 |
| 146 | 46.167.63.145/32 | 46.167.63.145 to 46.167.63.145 | — | 1 |
| 147 | 46.167.63.146/32 | 46.167.63.146 to 46.167.63.146 | — | 1 |
| 148 | 46.167.63.147/32 | 46.167.63.147 to 46.167.63.147 | — | 1 |
| 149 | 46.167.63.148/32 | 46.167.63.148 to 46.167.63.148 | — | 1 |
| 150 | 46.167.63.149/32 | 46.167.63.149 to 46.167.63.149 | — | 1 |
| 151 | 46.167.63.150/32 | 46.167.63.150 to 46.167.63.150 | — | 1 |
| 152 | 46.167.63.151/32 | 46.167.63.151 to 46.167.63.151 | — | 1 |
| 153 | 46.167.63.152/32 | 46.167.63.152 to 46.167.63.152 | — | 1 |
| 154 | 46.167.63.153/32 | 46.167.63.153 to 46.167.63.153 | — | 1 |
| 155 | 46.167.63.154/32 | 46.167.63.154 to 46.167.63.154 | — | 1 |
| 156 | 46.167.63.155/32 | 46.167.63.155 to 46.167.63.155 | — | 1 |
| 157 | 46.167.63.156/32 | 46.167.63.156 to 46.167.63.156 | — | 1 |
| 158 | 46.167.63.157/32 | 46.167.63.157 to 46.167.63.157 | — | 1 |
| 159 | 46.167.63.158/32 | 46.167.63.158 to 46.167.63.158 | — | 1 |
| 160 | 46.167.63.159/32 | 46.167.63.159 to 46.167.63.159 | — | 1 |
| 161 | 46.167.63.160/32 | 46.167.63.160 to 46.167.63.160 | — | 1 |
| 162 | 46.167.63.161/32 | 46.167.63.161 to 46.167.63.161 | — | 1 |
| 163 | 46.167.63.162/32 | 46.167.63.162 to 46.167.63.162 | — | 1 |
| 164 | 46.167.63.163/32 | 46.167.63.163 to 46.167.63.163 | — | 1 |
| 165 | 46.167.63.164/32 | 46.167.63.164 to 46.167.63.164 | — | 1 |
| 166 | 46.167.63.165/32 | 46.167.63.165 to 46.167.63.165 | — | 1 |
| 167 | 46.167.63.166/32 | 46.167.63.166 to 46.167.63.166 | — | 1 |
| 168 | 46.167.63.167/32 | 46.167.63.167 to 46.167.63.167 | — | 1 |
| 169 | 46.167.63.168/32 | 46.167.63.168 to 46.167.63.168 | — | 1 |
| 170 | 46.167.63.169/32 | 46.167.63.169 to 46.167.63.169 | — | 1 |
| 171 | 46.167.63.170/32 | 46.167.63.170 to 46.167.63.170 | — | 1 |
| 172 | 46.167.63.171/32 | 46.167.63.171 to 46.167.63.171 | — | 1 |
| 173 | 46.167.63.172/32 | 46.167.63.172 to 46.167.63.172 | — | 1 |
| 174 | 46.167.63.173/32 | 46.167.63.173 to 46.167.63.173 | — | 1 |
| 175 | 46.167.63.174/32 | 46.167.63.174 to 46.167.63.174 | — | 1 |
| 176 | 46.167.63.175/32 | 46.167.63.175 to 46.167.63.175 | — | 1 |
| 177 | 46.167.63.176/32 | 46.167.63.176 to 46.167.63.176 | — | 1 |
| 178 | 46.167.63.177/32 | 46.167.63.177 to 46.167.63.177 | — | 1 |
| 179 | 46.167.63.178/32 | 46.167.63.178 to 46.167.63.178 | — | 1 |
| 180 | 46.167.63.179/32 | 46.167.63.179 to 46.167.63.179 | — | 1 |
| 181 | 46.167.63.180/32 | 46.167.63.180 to 46.167.63.180 | — | 1 |
| 182 | 46.167.63.181/32 | 46.167.63.181 to 46.167.63.181 | — | 1 |
| 183 | 46.167.63.182/32 | 46.167.63.182 to 46.167.63.182 | — | 1 |
| 184 | 46.167.63.183/32 | 46.167.63.183 to 46.167.63.183 | — | 1 |
| 185 | 46.167.63.184/32 | 46.167.63.184 to 46.167.63.184 | — | 1 |
| 186 | 46.167.63.185/32 | 46.167.63.185 to 46.167.63.185 | — | 1 |
| 187 | 46.167.63.186/32 | 46.167.63.186 to 46.167.63.186 | — | 1 |
| 188 | 46.167.63.187/32 | 46.167.63.187 to 46.167.63.187 | — | 1 |
| 189 | 46.167.63.188/32 | 46.167.63.188 to 46.167.63.188 | — | 1 |
| 190 | 46.167.63.189/32 | 46.167.63.189 to 46.167.63.189 | — | 1 |
| 191 | 46.167.63.190/32 | 46.167.63.190 to 46.167.63.190 | — | 1 |
| 192 | 46.167.63.191/32 | 46.167.63.191 to 46.167.63.191 | — | 1 |
| 193 | 46.167.63.192/32 | 46.167.63.192 to 46.167.63.192 | — | 1 |
| 194 | 46.167.63.193/32 | 46.167.63.193 to 46.167.63.193 | — | 1 |
| 195 | 46.167.63.194/32 | 46.167.63.194 to 46.167.63.194 | — | 1 |
| 196 | 46.167.63.195/32 | 46.167.63.195 to 46.167.63.195 | — | 1 |
| 197 | 46.167.63.196/32 | 46.167.63.196 to 46.167.63.196 | — | 1 |
| 198 | 46.167.63.197/32 | 46.167.63.197 to 46.167.63.197 | — | 1 |
| 199 | 46.167.63.198/32 | 46.167.63.198 to 46.167.63.198 | — | 1 |
| 200 | 46.167.63.199/32 | 46.167.63.199 to 46.167.63.199 | — | 1 |
| 201 | 46.167.63.200/32 | 46.167.63.200 to 46.167.63.200 | — | 1 |
| 202 | 46.167.63.201/32 | 46.167.63.201 to 46.167.63.201 | — | 1 |
| 203 | 46.167.63.202/32 | 46.167.63.202 to 46.167.63.202 | — | 1 |
| 204 | 46.167.63.203/32 | 46.167.63.203 to 46.167.63.203 | — | 1 |
| 205 | 46.167.63.204/32 | 46.167.63.204 to 46.167.63.204 | — | 1 |
| 206 | 46.167.63.205/32 | 46.167.63.205 to 46.167.63.205 | — | 1 |
| 207 | 46.167.63.206/32 | 46.167.63.206 to 46.167.63.206 | — | 1 |
| 208 | 46.167.63.207/32 | 46.167.63.207 to 46.167.63.207 | — | 1 |
| 209 | 46.167.63.208/32 | 46.167.63.208 to 46.167.63.208 | — | 1 |
| 210 | 46.167.63.209/32 | 46.167.63.209 to 46.167.63.209 | — | 1 |
| 211 | 46.167.63.210/32 | 46.167.63.210 to 46.167.63.210 | — | 1 |
| 212 | 46.167.63.211/32 | 46.167.63.211 to 46.167.63.211 | — | 1 |
| 213 | 46.167.63.212/32 | 46.167.63.212 to 46.167.63.212 | — | 1 |
| 214 | 46.167.63.213/32 | 46.167.63.213 to 46.167.63.213 | — | 1 |
| 215 | 46.167.63.214/32 | 46.167.63.214 to 46.167.63.214 | — | 1 |
| 216 | 46.167.63.215/32 | 46.167.63.215 to 46.167.63.215 | — | 1 |
| 217 | 46.167.63.216/32 | 46.167.63.216 to 46.167.63.216 | — | 1 |
| 218 | 46.167.63.217/32 | 46.167.63.217 to 46.167.63.217 | — | 1 |
| 219 | 46.167.63.218/32 | 46.167.63.218 to 46.167.63.218 | — | 1 |
| 220 | 46.167.63.219/32 | 46.167.63.219 to 46.167.63.219 | — | 1 |
| 221 | 46.167.63.220/32 | 46.167.63.220 to 46.167.63.220 | — | 1 |
| 222 | 46.167.63.221/32 | 46.167.63.221 to 46.167.63.221 | — | 1 |
| 223 | 46.167.63.222/32 | 46.167.63.222 to 46.167.63.222 | — | 1 |
| 224 | 46.167.63.223/32 | 46.167.63.223 to 46.167.63.223 | — | 1 |
| 225 | 46.167.63.224/32 | 46.167.63.224 to 46.167.63.224 | — | 1 |
| 226 | 46.167.63.225/32 | 46.167.63.225 to 46.167.63.225 | — | 1 |
| 227 | 46.167.63.226/32 | 46.167.63.226 to 46.167.63.226 | — | 1 |
| 228 | 46.167.63.227/32 | 46.167.63.227 to 46.167.63.227 | — | 1 |
| 229 | 46.167.63.228/32 | 46.167.63.228 to 46.167.63.228 | — | 1 |
| 230 | 46.167.63.229/32 | 46.167.63.229 to 46.167.63.229 | — | 1 |
| 231 | 46.167.63.230/32 | 46.167.63.230 to 46.167.63.230 | — | 1 |
| 232 | 46.167.63.231/32 | 46.167.63.231 to 46.167.63.231 | — | 1 |
| 233 | 46.167.63.232/32 | 46.167.63.232 to 46.167.63.232 | — | 1 |
| 234 | 46.167.63.233/32 | 46.167.63.233 to 46.167.63.233 | — | 1 |
| 235 | 46.167.63.234/32 | 46.167.63.234 to 46.167.63.234 | — | 1 |
| 236 | 46.167.63.235/32 | 46.167.63.235 to 46.167.63.235 | — | 1 |
| 237 | 46.167.63.236/32 | 46.167.63.236 to 46.167.63.236 | — | 1 |
| 238 | 46.167.63.237/32 | 46.167.63.237 to 46.167.63.237 | — | 1 |
| 239 | 46.167.63.238/32 | 46.167.63.238 to 46.167.63.238 | — | 1 |
| 240 | 46.167.63.239/32 | 46.167.63.239 to 46.167.63.239 | — | 1 |
| 241 | 46.167.63.240/32 | 46.167.63.240 to 46.167.63.240 | — | 1 |
| 242 | 46.167.63.241/32 | 46.167.63.241 to 46.167.63.241 | — | 1 |
| 243 | 46.167.63.242/32 | 46.167.63.242 to 46.167.63.242 | — | 1 |
| 244 | 46.167.63.243/32 | 46.167.63.243 to 46.167.63.243 | — | 1 |
| 245 | 46.167.63.244/32 | 46.167.63.244 to 46.167.63.244 | — | 1 |
| 246 | 46.167.63.245/32 | 46.167.63.245 to 46.167.63.245 | — | 1 |
| 247 | 46.167.63.246/32 | 46.167.63.246 to 46.167.63.246 | — | 1 |
| 248 | 46.167.63.247/32 | 46.167.63.247 to 46.167.63.247 | — | 1 |
| 249 | 46.167.63.248/32 | 46.167.63.248 to 46.167.63.248 | — | 1 |
| 250 | 46.167.63.249/32 | 46.167.63.249 to 46.167.63.249 | — | 1 |
| 251 | 46.167.63.250/32 | 46.167.63.250 to 46.167.63.250 | — | 1 |
| 252 | 46.167.63.251/32 | 46.167.63.251 to 46.167.63.251 | — | 1 |
| 253 | 46.167.63.252/32 | 46.167.63.252 to 46.167.63.252 | — | 1 |
| 254 | 46.167.63.253/32 | 46.167.63.253 to 46.167.63.253 | — | 1 |
| 255 | 46.167.63.254/32 | 46.167.63.254 to 46.167.63.254 | — | 1 |
| 256 | 46.167.63.255/32 | 46.167.63.255 to 46.167.63.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |